netatalk 4.5.0
Free and Open Source Apple Filing Protocol (AFP) Server
Loading...
Searching...
No Matches
print_cups.h File Reference
`#include <sys/types.h>`

Go to the source code of this file.

## Data Structures
struct | cups_status

## Functions
int | cups_printername_ok (char *)
| Verify supplied printer name is a valid cups printer.
const char * | cups_get_printer_ppd (char *)
int | cups_get_printer_status (struct printer *pr)
int | cups_print_job (char *, const char *, char *, char *, char *)
struct printer * | cups_autoadd_printers (struct printer *, struct printer *)
int | cups_check_printer (struct printer *, struct printer *, int)
| check if a printer with this name already exists.
const char * | cups_get_language (void)

## Function Documentation

## ◆ cups_autoadd_printers()

struct printer * cups_autoadd_printers | ( | struct printer * | defprinter,
|  | struct printer * | printers )

## ◆ cups_check_printer()

int cups_check_printer | ( | struct printer * | pr,
|  | struct printer * | printers,
|  | int | replace )

check if a printer with this name already exists.

Note
  if yes, and replace = 1 the existing printer is replaced with the new one. This allows to overwrite printer settings
  created by cupsautoadd. It also used by cups_mangle_printer.

## ◆ cups_get_language()

const char * cups_get_language | ( | void |  | ) |

## ◆ cups_get_printer_ppd()

const char * cups_get_printer_ppd | ( | char * | name | ) |

## ◆ cups_get_printer_status()

int cups_get_printer_status | ( | struct printer * | pr | ) |

## ◆ cups_print_job()

int cups_print_job | ( | char * | name,
|  | const char * | filename,
|  | char * | job,
|  | char * | username,
|  | char * | cupsoptions )

pass the job to cups

## ◆ cups_printername_ok()

int cups_printername_ok | ( | char * | name | ) |

Verify supplied printer name is a valid cups printer.

Note
  O - 1 if printer name OK
  I - Name of printer